Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160615 - rpm -Uvh http://xxx.rpm fails to back to command line if xxx.rpm does not exist
Summary: rpm -Uvh http://xxx.rpm fails to back to command line if xxx.rpm does not exist
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
: 161262 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 04:29 UTC by Steven Shiau
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-07-17 12:32:09 UTC


Attachments (Terms of Use)

Description Steven Shiau 2005-06-16 04:29:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; zh-TW; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
rpm -Uvh http://xxx.rpm fails to back to command line prompt if xxx.rpm does not exist in the url.
For example, when I tried to use
(Actually, the file gaim-1.3.1-1.fc4.i386.rpm does not exist in that url).
rpm -Uvh http://mirrors.kernel.org/fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm
Retrieving http://mirrors.kernel.org/fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm
error: open of <!DOCTYPE failed: No such file or directory
error: open of HTML failed: No such file or directory
error: open of PUBLIC failed: No such file or directory

Then rpm just hang there, did not return to command line prompt.

Version-Release number of selected component (if applicable):
rpm-4.4.1-21

How reproducible:
Always

Steps to Reproduce:
1. login to Fedora Core 4
2. rpm -Uvh http://mirrors.kernel.org/fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm
  

Actual Results:  Retrieving http://mirrors.kernel.org/fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm
error: open of <!DOCTYPE failed: No such file or directory
error: open of HTML failed: No such file or directory
error: open of PUBLIC failed: No such file or directory

Then rpm just hang there, did not return to command line prompt.

Expected Results:  show the error message (file does not exist or some message) then back to command line prompt

Additional info:

Comment 1 Jeff Johnson 2005-07-13 09:32:06 UTC
Reproduced.

The 404 is returning HTML which is being read as a manifest. The text returned is
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm was not found on 
this server.</p>
</body></html>

A band-aid fix would be to abandon manifest parsing for text that starts "<!DOCTYPE" but a real fix is 
deeper in rpmio.

Comment 2 Jeff Johnson 2005-07-13 10:20:27 UTC
*** Bug 161262 has been marked as a duplicate of this bug. ***

Comment 3 Jeff Johnson 2007-01-03 17:05:08 UTC
This is fixed in rpm-4.4.8:

#  rpm -Uvh http://mirrors.kernel.org/fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm
Retrieving http://mirrors.kernel.org/fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm
/var/tmp/rpm-xfer.Dwb9tB: not an rpm package (or package manifest): 

where the returned HTML looks like
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>404 Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL /fedora/core/updates/4/i386/gaim-1.3.1-1.fc4.i386.rpm was not found on 
this server.</p>
</body></html>


Comment 4 Jeff Johnson 2007-01-08 02:49:05 UTC
And so is this NE_LOOKUP failure on non-existent host:

$ ls -al /foo
ls: /foo: No such file or directory
$ rpm -qp /foo
error: open of /foo failed: No such file or directory
$ rpm -qp file:///foo
error: open of file:///foo failed: No such file or directory
$ rpm -qp http://foo
error: open of http://foo failed: No such file or directory
$ rpm -qp http://foo/bar
error: open of http://foo/bar failed: No such file or directory



Comment 5 Christian Iseli 2007-01-22 11:35:46 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 6 Panu Matilainen 2007-07-17 12:32:09 UTC
This has been fixed in F7 and rawhide for quite some time now.


Note You need to log in before you can comment on or make changes to this bug.